Name:		egd
Summary: 	Entropy Gathering Daemon
Version:	0.9
Release:	2%{?dist}
License:	GPL+ or MIT
Group:		Applications/System
Source0:	http://download.sourceforge.net/egd/%{name}-%{version}.tar.gz
URL:		http://egd.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	perl(Digest::SHA1), perl(ExtUtils::MakeMaker), perl(FindBin), perl(IO::Socket)
BuildArch:	noarch
# These are necessary for egd to do anything useful for entropy.
Requires:	procps, net-tools, coreutils, util-linux, tcpdump

%description
EGD is an Entropy Gathering Daemon meant to be used on systems that can run GPG 
but which don't have a convenient (or reliable) source of random bits. It is a 
regular user-space program that sits around, running programs like 'w' and 
'last' and 'vmstat', collecting the randomness (or at least the 
unpredictability) inherent in the output of these system statistics programs 
when used on a reasonably busy system. It slowly stirs the output of these 
gathering programs into a pool of entropy, much like the linux kernel device, 
and allows other programs to read out random bits from this pool.

%prep
%setup -q

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
# Test doesn't work on F-9 builder. No idea why. Works fine locally.
# make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.xfree86 README
%{_bindir}/egd.pl

%changelog
* Mon Mar 10 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.9-2
- disable tests on f9 due to builder weirdness

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.9-1
- Initial package for Fedora
